:root{
    --btransparent: 2em solid transparent;
    --bwhite: 2em solid white;
}

body{
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background-color: black;
}

.threads{
    position: relative;
    width: 30em;
    height: 30em;
    box-shadow: 0 0 10px 0 rgba(255, 255, 255, .5);
    border-radius: 5em;
}

.line{
    position: absolute;
    width: 17em;
    height: 19em;
    border: var(--bwhite);
    border-radius: 46%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-right-color: transparent;
}

.sub-line{
    position: absolute;
    width: 7em;
    height: 9em;
    border: var(--bwhite);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 46%;
    border-left-color: transparent;
}

.line::before{
    content: '';
    position: absolute;
    height: 4.5em;
    width: 1em;
    border: var(--btransparent);
    border-right-color: white;
    border-radius: 50%;
    right: -.2em;
    top: -1.1em;
    transform: rotate(-40deg);
}

.line::after{
    content: '';
    position: absolute;
    width: 11em;
    height: 9em;
    border: var(--btransparent);
    border-right-color: white;
    border-top-color: white;
    border-radius: 50%;
    transform: rotate(6deg);
    bottom: -1.75em;
    right: -.3em;
}

.sub-line::before{
    content: '';
    position: absolute;
    width: 4.2em;
    height: 3.7em;
    border: var(--btransparent);
    border-left-color: white;
    border-radius: 50%;
    top: 3.1em;
    left: -1.3em;
}

